0.7.0 Release
=============

David Planella:
      Updated Catalan translation

Dodji Seketeli:
      Support GDB Variable Objects (Closes: #573678)
      Properly show reference variable (Closes: #585466)
      Make pointer dereferencing more intuitive (Closes: #530902)
      Support variable value editing in variable inspector (Closes: #581169)
      Add watchpoint support (Closes: #386450)
      Support copying variables to the clipboard (Closes: #547329)
      Hide var tooltip appropriatly (Closes: #545596)
      Don't overrun frames vector (Closes: #585516)
      Keep popup tip under control (Closes: #585657)
      Awesome up variable popup tip
      New nmv_abort_on_throw environment variable
      Allow the ',' separator in NMV_LOG_DOMAINS env var

Javier Jardon:
      Use AM_SILENT_RULES for nicer compilation output

Jonathon Jongsma:
      Fix unused variable warning

Takeshi AIHANA:
      Updated Japanese translation

0.6.7 Release
==============

Claude Paroz:
      Updated French translation

Dodji Seketeli:
      Don't clear session when restarting with different args (Closes: 568822)
      GDB/MI parsing fixes
      Debugger API improvements
      Implement call stack paging (Closes: #544116)
      Kill automake warnings when building tests

Hubert Figuiere:
      Header inclusion cleanup (Closes: #581047)
      Fix compilation breakage when builing without gtkhex

Jonathon Jongsma:
      Performance improvements
      Fix critical warnings when closing a file (Closes: #578736)
      Quote arguments passed to gdb (Closes: #575889)

Landry Breuil:
      On going OpenBSD build fixes

0.6.6 Release
=============

Dodji Seketeli:
      Update ephy-spinner widget (Closes: #574915)
      Fix tests to work with Boost.Test 1.37
      Fix MI parsing error with Archer (Closes: #575660)

Hans Vercammen:
      Fix build with gcc 4.1.2 (Closes: #572704)

Jonathon Jongsma:
      Update all of the screenshots for the manual
      Change serial input to a FileChooserButton (Closes: #436057)
      Enable re-ordering of source file tabs (Closes: #545246)
      Make the 'View > Memory' conditionally used (Closes: #564832)
      Give indication of activity in the 'open file' dialog (Closes #564294)
      Fix File list so keyboard navigation scrolls list again (Closes: #564294)
      Scroll 'File Open' list to starting source file (Closes: #525512)
      Ellipsize filename in tab (Closes: #565645)
      Sort columns of process selection dialog displays warning (Closes: #534700)
      Improve global variable listing (Bug #573709)
      Check for empty before isspace in UString::chomp() (Closes: #574214)
      Don't split member vars incorrectly if value has comma (Closes: #527947)
      Save session when switching debugging contexts (Fixes: #575912)

Landry Breuil:
      Many build fixes for OpenBSD

0.6.5 Release
=============

Fixes
-----

Jonathon Jongsma :
      Enlarge the default size of the variable inspector dialog
      #526151 - Change the 'restart' icon
      #554405 - Fix libtool wrapper detection for files with dashes
      #530910 – View -> "Show Errors" and "Show Output" should not be displayed
      #536259 - Remember history in var inspector dialog
      #553213 – tabs are in different order to Alt-1,2,3,4,5
      #564301 – Assertion when trying to open variable inspector
      Add a preference for sourceview color theme
      Hook up the color theme preference
      Don't link fooprog test program against libnemivercommon, etc.

Dodji Seketeli:
      #560662 Refactor the parser and create GDBMParser
      #560662 - Support singular RESULT parsing.
      #564113 - GDB/MI parsing error
      #567175 - Listing Source files from target executable is broken
      #570029 – Print a message on the terminal when the user calls a function
      #568821 - "Call function" dialog should remember history
      #571036 - Random crash
      #571099 - nemiver crashes on startup in GtkHex
      Remove config.h.in from Source Control Manamagement.
      Fix compilation breakage with gtksourceviewmm-1
      Make Nemiver compile on gtkmm 2.12
      Better pretty print when calling functions.
      Avoid duplicates in call function dialog history.
      Persist the Variable inspector dialog history
      Fix compilation with gcc 4.3.3

Vincent Untz:
      #568785 - Add Debugger category to desktop file

Romain Tartière:
      #569168 – Cannot locate source with a full file name

Luca Bruno:
      #562925 - Shorten compilation lines

Translations
------------

Daniel Nylander:
      Updated Swedish translation

Gil Forcada Codinachs:
      Updated Catalan translation by David Planella

Jorge Gonzalez Gonzalez:
      Updated Spanish translation

0.6.4 Release
=============

Bug fixes
---------

    [Dodji Seketeli]
    * #555733 - "Assertion failed: editor" when trying to open a new binary
    * #560377 - support new running async output record in GDB trunk
    * #561287 - crash when doing nemiver --purgesessions
    * #562024 - cannot set breakpoint sometimes

    [Jonathon Jongsma]
     * Re-arrange columns in call stack view

    [Christophe Fergeau]
    * #555732 - Use font specified in the preferences for the output terminal

Translations
------------

    * [ja] Takeshi AIHANA

0.6.3 Release
==============

Bug fixes
----------

    * various cleanups: move to new tooltip API, migrate from
      deprecated TreePath APIs. [Saleem Abdulrasool]
    * #553780 - Status notebook disapearing sometimes. [Dodji Seketeli]
    * #553780 - Compilation speedups and remove __gnu::cxx deprecated
      usage. [Benoit Dejean]

Translations
------------

    * [th] Theppitak Karoonboonyanan
    * [ca] Gil Forcada

0.6.2 Release
==============

Bug fixes
---------

    [Dodji Seketeli]

    * #548121 - String search not available when program is not running
    * #548118 - Select new node on dereferencing
    * #523377 - first-run prints sql-related errors to console
    * #545842 - Missing shortcut to set a breakpoint in current file
    * #547169 - Set breakpoint to selected function name by default

    [Jonathon Jongsma]

    * fix boost unit test static library detection

    [Stéphane Wirtel]

    * fix a configure help string

    [Robert-André Mauchin]

    * Update website references to point to the new location

Translations
------------

    * [ar] Djihed Afifi
    * [fr] Robert-André Mauchin
    * [fi] Ilkka Tuohela


0.6.1 Release
==============

    * add missing nmv-conf-keys.h file to tarball

0.6.0 Release
==============

New Features
------------

[Dodji Seketeli]

    * conditional breakpoints
    * arbitrary function calls

Fixes
-----

[Dodji Seketeli]

    * various code cleanups
    * add --version command line switch
    * support running autogen.sh from other directories dans srcdir
    * #515525 - Arrow keys don't work to navigate through source file
    * #396277 - implement lazy evaluation of status widgets
    * #543798 - don't pop up 'reload file' dialog all the time
    * #543797 - display a meaningful error when inferior is not found
    * #545211 - Bad index management when closing a tab

[Jonathon Jongsma]

    * on going HIG compliance assurance
    * add preferences for controlling behaviour or reloading source files

[Luca Bruno]

    * #540934 - documentation docbook XML compliance

Translations
------------

    * [ja] Takeshi AIHANA
    * [es] Jorge Gonzalez
    * [nb] Kjartan Maraas

0.5.3 Release

Fixes
-----

[Dodji Seketeli]

    * #526696 – "Detach from the running program" not properly unsensitived"
    * #526866 – breakpoint parsing failures
    * #526826 – missing dependency in .pc file
    * #527696 – nemiver --help only shows libgnome related help messages
    * #526863 – Parsing error leaves nemiver in unusable state
    * #527796 – remove libgnome dependency
    * #482806 – Debugger state and Menu item sensitivity problems
    * #534619 – Once detached of a program, you're not sure you're really disconnected
    * add -Wl,--as-needed link flag for DSOs

[Jonathon Jongsma]

    * properly set memory editor sensitivity when debugger is running

[Luca Bruno]

    * remove obsolete fields from nemiver.desktop file

New ports
---------

[Romain Tartière]

    * Port nemiver to FreeBSD.


0.5.2 Release
=============

Fixes
-------
    * unplug some immature non regression tests for now
    * fix an infinite loop when parsing an output record having a line starting
      with '='
    * support setting breakpoints on functions that are in not-yet-loaded shared
      libraries.
    * fix #526291 – Nemiver doesn't propose to stop the debugging application

Translations
-------------
    * [ja] Takeshi AIHANA


0.5.1 Release
=============

New Features
-------------

[Dodji Seketeli]

    * ability to debug programs that are actually libtool wrapper shell scripts.
      In that case, nemiver analyses the wrapper script and launches
      the actual binary wrapped by the script.

Fixes
--------------

[Peter Gordon]

     * fix build for gcc 4.3

[Sven Arvidsson]

    * add StartupNotify to desktop file

Translations
--------------

    * [es] Jorge Gonzalez

0.5.0 Release
=============

New features
------------

[Jonathon Jongsma]

    * support for CPU registers editing
    * support for memory editing

[A Gordon]

   * preliminary work on the global variables listing support

[Dodji Seketeli]

    * support for remote (cross) debugging.
      This still needs some UI love though.
    * support for listing the global variables of the inferior
    * support for refreshing the list of local variables "on demand"

Fixes, cleanup and improvements
-------------------------------

[Jonathon Jongsma]

    * many UI improvements here and there
    * better breakpoints management
    * added the --last command line option to quickly reload
      the last saved session
    * show frame address when their line/filename info is not available
    * switch to GtkSourceView2 (optional)
    * switch to GIO (optional)
    * #447890 – "File path info is missing for function foo" popup is too
      intrusive
    * #465263 – error parsing breakpoint table
    * #502526 – gdbmi parsing error
    * #515454 - Remove total number of lines information
    * #515541 - 'Debug -> Show Global Variables'  active even not debugging
    * #515271 – position of the cursor is wrong just after opening a file
    * #515287 - disable breakpoint setting when not debugging

[Baptiste Mille-Mathias]

    * many many HIG fixes and hassling ;-)
    * #499263 – make check fail

[Emre Turkay]

    * code cleanup of the main.cc file

[Dodji Seketeli]

    * switch to libboost 1.34
    * better (more reliable, faster) local variables management
    * speed optimisations
    * numerous low level fixes and cleanups
    * #442213 – Limit number of frames in the call stack
    * #503887 – start nemiver with wrongs args throws error
    * #502634 – problem with running nemiver under compiz
    * #504473 – Variable parsing failure on quoted '}' character
    * #436374 – Error output when debugging an gtkmm example
    * #514134 – gdbmi member variable parsing error

Translations
-------------
    * [ja] Takeshi AIHANA
    * [sv] Daniel Nylander
    * [dz] Pema Geyleg
    * [ca] Jordi Mas, Josep Puigdemont i Casamajó, Gil Forcada
    * [es] Jorge Gonzalez
    * [fi] Ilkka Tuohela
    * [fr] Claude Paroz
    * [ar] Djihed Afifi
    * [oc] Yannig Marchegay

0.4.0 Release
=============

New features
-------------

    [Jonathon Jongsma]

    * enable/disable breakpoints
    * enable refresh of breakpoints view at will
    * enable filtering of process list
    * added a user manual
    * set breakpoints by typing function name or file location
    * added a font selection settings
    * switch mouse pointer to busy cursor when gdb is running

    [Dodji Seketeli]

    * added a --env option as in nemiver --env "foo=bar foobar=baz" prog-to-debug
    * handle methods overload choosing when setting freeform breakpoints.
    * allow remote processes debugging using gdbserver.

    [Andreas Nilsson]

    * new nemiver icons set

Bug fixes, improvements
-----------------------

    [Jonathon Jongsma]

    * #401249 Use icon list for window icon
    * save and restore status pane position between sessions
    * many UI related fixes an improvements

    [Dodji Seketeli]

    * #414334 nemiver not internationalized filename friendly
    * #423846 GDBMI parsing fails in nemiver::parse_member_variable()
    * #424069 Crashed
    * #417775 nemiver doesn't detect new versions of source files
    * improved dynmods API
    * better gdb flow control.
    * many gdbmi parsing fixes
    * better variables management
    * better breakpoints handling
    * fixed a couple of crashers
    * lots of internal refactoring

Translations
------------

     * fr  [Stephane Raimbault]
     * en_GB [David Lodge]
     * ja [Takeshi AIHANA]




0.3.0 Release
============ 

    features
============

    [Dodji Seketeli]

    * added a "detach from target" functionality
    * added a basic "find text in source file" functionality

    [Jonathon Jongsma]

    * added a "list source files that make up the current executable"
      functionality. Integrate it into the "open source file" dialog

    [Steven Brown]

    * new set of Nemiver icons

Bug fixes/improvements
======================

    [Dodji Seketeli]

    * better spinner model
    * better debugger engine state management
    * better handling of targets not compiled with -g
    * properly clear the status notebook when target is no more being debugged
    * massive gdb controlling interface performance speedup (> 7X speedup)
    * show hidden directories in the "Run program" dialog
    * better detection of variables in the "hover on variable" workflow
    * set the LD_BIND_NOW environment variable to prevent slow stepping into
      functions that are in DSOs.
    * make ctrl-c (SIGINT) triggers a graceful shutdown
    * better pointer dereferencing behaviour
    * #386473 deleting a breakpoint greys out all actions
    * #381703 Close all open files when switching to a new debug session
    * #386594 update dereferenced pointers during stepping
    * #394485 Variable line-height too high for some variables
    * #384427 breakpoints are not shown on newly open files

    [Jonathon Jongsma]

    * HIG fixes
    * update translation credits in the About dialog
    * make the window title show information about the target being debugged
    * mark more strings as being translatable
    * better management of the nemiver.desktop file
    * #386806 Use placeholder strings (%s) for filenames in messages
    * #396773 call stack widget does not show the frame number

    [Bob Mauchin]

    * #389177 String misleading in nmv-call-stack.cc
    * #389175 Typos in nmv-dbg-perspective.cc

    [Marko Anastasov]

    * 394469 – Quicker access to source files

Translations
=============
    * [nl] Reinout Van Shouwen
    * [de] Carsten Reith
    * [es] Juan
    * [fr] Dodji Seketeli, Bob Mauchin


0.2.0 Release
==============

new features
============

    [Dodji Seketeli]

    * highlight the last changed variable (in the local variables tab)
    * new variable inspector targeted at global variables
    * added a --attach <pid|prog-nam> option

    [Jonathon Jongmas]

    * new dialog to locate files when no full path debugging information is available

    [Ruben Vermeersch]

    * remember last nemiver window geometry (makes nemiver 'spatial')

bug fixes/improvements
======================

    [Jonathon Jongsma]

    * don't let the target executable run after quitting nemiver.
    * when opening a source file start filechooser in the working dir
      specified in session settings.
    * restart gconfd (instead of sending the HUP signal) upon schemas install
    * fixed typos in NEWS file
    * fixed typos in dialogs
    * hook the windown 'delete-event' to the normal shutdown procedure
    * #378294 gdb 6.4debian sometimes doesn't provide full path to source file info
    * #381702 double-clicking breakpoint list when there are no breakpoints causes an error

    [Dodji Seketeli]

    * don't redraw the local variables widget at each stop
    * don't assert when hover on empty space
    * sync each log line to disk
    * in the breakpoint workflow, lookup files in already opened files first
    * fix target terminal scrolling issues
    * update local variables when selecting frames
    * fix utf8 paths issues
    * fix gdbmi frame data parsing
    * code cleanup and refactoring here and there
    * allow target restart only from the READY state
    * better plugins lifetime management
    * #377623 Local variables parsing error on multi-parameter template types
    * #381912 stopping the targets fails when runned without break
    * #381402 variables content in popup tip on hover very invisible
    * #383170 segfault at startup on EM64T archictecture
    * #381694 disable the continue and step buttons when target program exits
    * #384057 Target executable still runs after nemiver shuts down
    * #384406 nemiver crashed when activating line numbers
    * #384456 Close button on tab is truncated
    * #384474 Bottom widget could disappeared under gtkvsperator
    * #385186 Tab too high
    * #385195 toolbar widgets to clean

    [Ruben Vermeersch]

    * fix typos in some dialogs
    * fix bad support of 'current working directory'
    * update README file

    [Remi Cardonna]

    * make libworkbenchmod.so link with the --as--needed option of GNU ld

    [Guillaume Desmottes]

    * #383886 Preferences dialog should not appear in the windows list

    [Jean-Francois Rameau]

    * #384172 Clicking on "Target terminal" tab makes the top window very large


translations
=============

fr [Dodji Seketeli]
sv [Daniel Nylander]

|||||||||||||||||||||||||||||||||||||||||||||||||

Initial 0.1.0 release
========================

Disclaimer:
============
This it the first official release, so remember that it could eat your cat or
make your landlord divorce. In any case, let us know the problems you encounter so that
we can fix them in coming releases.

Features
================================
* basic target control (stepping)
* breakpoint management
* debugging session management
* local variables inspection
* call stack management

languages:
==========
[fr]
[en]

homepage: http://www.gnome.org/projects/nemiver/
tarball: ftp://ftp.gnome.org/pub/GNOME/sources/nemiver/

